Bug 44550 - Extended Attributes are not registered if App comes from 4.1
Extended Attributes are not registered if App comes from 4.1
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-08 11:14 CEST by Dirk Wiesenthal
Modified: 2017-05-10 15:17 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2017-05-08 11:14:23 CEST
If installing an App with extended attributes through an .attributes file, the registration fails if the App is not UCS 4.2.

Try
  univention-app dev-use-test-appcenter
  univention-app install openproject
Comment 1 Dirk Wiesenthal univentionstaff 2017-05-08 11:33:47 CEST
Fixed in
  univention-appcenter 6.0.7-7A~4.2.0.201705081120

Using
  App.from_ini(ini_file) is not clever enough to guess the correct UCS version (it could be parsing the filename, but it is supposed to be generic regardless of the filename

If you just want the unlocalised version of an App, use
  app.get_cache_obj().copy(locale="en").get_by_component_id()
Comment 2 Felix Botner univentionstaff 2017-05-08 14:14:10 CEST
OK - even though the openproject app itself does not work, the app attributes
     are OK
OK - YAML
Comment 3 Janek Walkenhorst univentionstaff 2017-05-10 15:17:08 CEST
<http://errata.software-univention.de/ucs/4.2/14.html>